# &kde; kasutaja käsiraamat

Waldo
Bastian

    bastian@kde.org

Mario
Weilguni

    mweilguni@sime.com

Lubos
Lunak

    l.lunak@kde.org

2008-10-03
0.01.01
kdeinit4
8

# `kdeinit4`

Käivitab kõik muu &kde; programmid ja kdeiniti laaditavad moodulid (KLM-id).

## Kokkuvõte

    kdeinit4 --help  --no-fork --no-kded --suicide   +programs programs

## Kirjeldus

kdeinit4 on protsesside käivitaja, mis mõnevõrra sarnaneb UNIX-i käivitamiseks kasutatud kuulsa `init`'iga. See käivitab märksa tõhusamalt &kde; programmid ja kdeiniti laaditavad moodulid (KLM-id).

kdeinit4 kasutamine &kde; rakenduste käivitamiseks paneb tüüpilise &kde; rakenduse käivituma mitu korda kiiremini ning vähendab tunduvalt mälukasutust.

kdeinit4 on lingitud kõigi teekidega, mida vajab standardne &kde; rakendus. Sel moel muutub rakenduse käivitamine palju kiiremaks, sest nüüd on vaja linkida ainult veel rakendus ise, mitte aga nii rakendus kui ka kõik teegid, mida see kasutab.

## Miinused

kdeinit4 abil käivitatud rakenduste protsessi nimi on "kdeinit4". Seda probleemi saab teataval määral parandada rakenduse nime muutes, nagu seda näitab `ps`. Kuid sellised rakendused nagu `killall` näevad ometi protsessi nimena ainult kdeinit4. Selle häda lahendamiseks kasuta kõigi kdeinit4 abil käivitatud rakenduste tapmiseks `kdekillall` (leidub kdesdk/scripts all).

## Võtmed

`--help`

  Näitab abi võtmete kohta

`--no-fork`

  Harunemist ei kasutata, s.t ei väljuta enne, kui kõik käivitatud programmid on töö lõpetanud

`--no-kded`

  kded-d ei käivitata

`--suicide`

  Töö lõpetatakse, kui enam ei tööta ükski KDE rakendus

`+programs`

  programmide käivitamine päringutega tegeldes

`programs`

  programmide käivitamine päringutega tegelemata

## Kasutamine

Standardne viis programmi käivitada on anda käsureal käsk ``kdeinit4` program` või ``kdeinit4` +program` .

## Failid

`/tmp/kde-$USER/kdeinit4_$INSTANCE`

  ...

## Keskkonnamuutujad

$`HOME`

  Määrab aktiivse kasutaja kodukataloogi

$`KDE_HOME_READONLY`

  Määrab, kas aktiivse kasutaja kodukataloog on kirjutuskaitstud

$`KDE_IS_PRELINKED`

  Määramise korral annab kdeinit4-le teada, et &kde; programmid on eelnevalt lingitud

  (Eellinkimine on protsess, mis võimaldab kiirendada dünaamilist linkimist.)

$`KDE_DISPLAY`

  Määramise korral annab kdeinit4-le teada, et töötatakse &kde; töölaual

## Vaata ka

kded, kdekillall

## Vead

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org.